/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ReadStatusEnum extends StringEnum
{
    public static final String READ_VALUE = "READ";//alias=ÒÑ¶Á
    public static final String UNREAD_VALUE = "UNREAD";//alias=Î´¶Á

    public static final ReadStatusEnum READ = new ReadStatusEnum("READ", READ_VALUE);
    public static final ReadStatusEnum UNREAD = new ReadStatusEnum("UNREAD", UNREAD_VALUE);

    /**
     * construct function
     * @param String readStatusEnum
     */
    private ReadStatusEnum(String name, String readStatusEnum)
    {
        super(name, readStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ReadStatusEnum getEnum(String readStatusEnum)
    {
        return (ReadStatusEnum)getEnum(ReadStatusEnum.class, readStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ReadStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ReadStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ReadStatusEnum.class);
    }
}